grk_intmath.h File Reference

Go to the source code of this file.

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Functions

template<typename T >
uint32_t | grk::ceildiv (T a, T b)
| Divide an integer by another integer and round upwards.
template<typename T >
T | grk::ceildivpow2 (T a, uint32_t b)
static uint32_t | grk::floordivpow2 (uint32_t a, uint32_t b)
| Divide an unsigned integer by a power of 2 and round downwards.
uint8_t | grk::floorlog2 (uint32_t a)
| Get logarithm of an integer and round downwards.
static int32_t | grk::fix_mul (int32_t a, int32_t b)
| Multiply two fixed-point numbers.